---
title: "Update a channel"
canonical: https://docs.mentio.dev/api/channels/update-channel
markdown: https://docs.mentio.dev/api/channels/update-channel.mdx
---

# Update a channel

`PATCH /v1/channels/{id}`

## Parameters

- `id` (path, required): Channel id (dest_...).

## Body

- `label`: Your name for the channel.
- `url`: Webhooks only.
- `headers`: Webhooks only; replaces the whole set.
- `events`: Replaces the account events the channel receives; empty unsubscribes it from all. A webhook takes any; Slack, email and Telegram take the attention events only. See [Account events](/webhooks/account-events).

## Responses

- 200: The updated channel
- 400: An event this kind of channel cannot receive: Slack, email and Telegram take the attention events only
- 401: Missing or invalid API key
- 404: Channel not found

Full schemas: https://api.mentio.dev/v1/openapi.json. Conventions: https://docs.mentio.dev/conventions.mdx
